#
# spec file for package dMagnetic
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dMagnetic
Version:        0.37
Release:        1.3
Summary:        An interpreter for Magnetic Scrolls games
License:        BSD-2-Clause
Group:          Amusements/Games/Other
URL:            http://dettus.net/dMagnetic/
Source0:        http://dettus.net/dMagnetic/dMagnetic_%{version}.tar.bz2

%description
An interpreter for games produced by the studio Magnetic Scrolls. It
can be used to play "The Pawn", "The Guild of Thieves", "Jinxter",
"Fish!", "Myth", "Corruption" and "Wonderland".

%prep
%setup -q -n dMagnetic_%{VERSION}

%build
make all

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man6
mkdir -p %{buildroot}%{_mandir}/man5
mkdir -p %{buildroot}%{_datadir}/dMagnetic
install -m 755 dMagnetic %{buildroot}%{_bindir}/dMagnetic
install -m 644 dMagnetic.6 %{buildroot}%{_mandir}/man6/dMagnetic.6
install -m 644 dMagneticini.5 %{buildroot}%{_mandir}/man5/dMagneticini.5
install -m 644 dMagnetic.ini %{buildroot}%{_datadir}/dMagnetic/dMagnetic.ini

%files
%{_bindir}/dMagnetic
%{_mandir}/man6/dMagnetic.6%{?ext_man}
%{_mandir}/man5/dMagneticini.5%{?ext_man}
%{_datadir}/dMagnetic/
%doc README.txt
%license LICENSE.txt

%changelog
* Tue Mar  5 2024 ming li <mli@suse.com>
- Update to 0.37:
  * This version saw a little bit action on the help screens. Plus,
    the WEIRD WEIRD graphics mode of the Apple II ate a lot of memory,
    which, if you do it properly, is no longer wasted.
* Fri Apr 28 2023 Deepthi Yadabettu Venkatachala <deepthi.venkatachala@suse.com>
- Update to 0.36:
  * The "Welcome interested developers" release!
  * Not that many features which are of use to the casual gamer, but
    under the hood, the code has matured. Now it is even possible to
    build a backend library to run the magic of Magnetic Scrolls
    with 3rd party frontends!
* Sat Jan 28 2023 Dirk Müller <dmueller@suse.com>
- update to 0.35:
  * Lots of cleanup.
  * The memory consumption was reduced
  * the interface between the frontend and the engine has gotten cleaner
  * more stable savegame for Atari and Apple
* Thu Jan  5 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to 0.34
  * moved man page to section 6
  * bugfixes and documentation update
* Mon Mar  1 2021 Enno Gotthold <egotthold@suse.com>
- Update to 0.30
  This is a code cleanup release. It includes lots of bug fixes. For example:
  A picture from 'Fish!' was missing. What a shame. In addtion to this, I also
  took the liberty of cleaning up the website a little bit. Hope you like it.
- Update to 0.29
  Welcome to the "Night before Christmas" Release of dMagnetic! This one allows
  players to use ATR images from the AtariXL and Atari800 releases of the games.
  In addtition to this, a new graphics vmode has been added: UTF. It works on
  more terminals than the sixel mode and allows more people to enjoy the
  beautiful pictures!
* Sun Dec 20 2020 Dirk Müller <dmueller@suse.com>
- update to 0.28:
  * This is the Spectrum and the Archimedes release. Users now have the
  opportunity to play Magnetic Scrolls' games from the Spectrum128,
  Spectrum+3 and the Acorn Archimedes disk images. What remarkable pieces of
  hardware they were
* Mon Nov  9 2020 Enno Gotthold <egotthold@suse.com>
- Update to 0.27
  * Unfortunately, the last release (0.26) had a severe bug. Which
    allowed Amstrad CPC enthusiasts to play the old games, but
    nobody else. This bug has been fixed now.
* Thu Aug  6 2020 Jan Engelhardt <jengelh@inai.de>
- Put up a more sensible description.
* Fri Jul 31 2020 Enno Gotthold <egotthold@suse.com>
- Corrected specfile install command to let rpm take care of the
  compression (see rq#823547#status-history-8597198 )
* Mon Jul 27 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.25:
  * Internal RGB channels upgraded from 3 to 10 bit
* Mon Jul 13 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.24:
  No changes provided
* Mon Jan 13 2020 Enno Gotthold <egotthold@suse.com>
- Align the desc to the authors wishes
* Thu Jan  2 2020 Enno Gotthold <egotthold@suse.com>
- Update to Version 0.19
- Remove unecessary dependency
* Tue Jul 16 2019 Enno Gotthold <egotthold@suse.com>
- Extended Specfile to perform an acutal build with the files.
* Tue Jul 16 2019 Enno Gotthold <egotthold@suse.com>
- Added project sources
- Added Specfile
